> ## Documentation Index
> Fetch the complete documentation index at: https://turnkey-0e7c1f5b-bc-add-sdk-typedoc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Configs

> Get quorum settings and features for an organization



## OpenAPI

````yaml post /public/v1/query/get_organization_configs
openapi: 3.0.1
info:
  title: API Reference
  description: Review our [API Introduction](../api-introduction) to get started.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.turnkey.com/
security:
  - ApiKeyAuth: []
  - AuthenticatorAuth: []
tags:
  - name: Organizations
    description: >-
      An Organization is the highest level of hierarchy in Turnkey. It can
      contain many Users, Private Keys, and Policies managed by a Root Quorum.
      The Root Quorum consists of a set of Users with a consensus threshold.
      This consensus threshold must be reached by Quorum members in order for
      any actions to take place.


      See [Root Quorum](../concepts/users/root-quorum) for more information
  - name: Invitations
    description: >-
      Invitations allow you to invite Users into your Organization via email.
      Alternatively, Users can be added directly without an Invitation if their
      ApiKey or Authenticator credentials are known ahead of time.


      See [Users](./api#tag/Users) for more information
  - name: Policies
    description: >-
      Policies allow for deep customization of the security of your
      Organization. They can be used to grant permissions or restrict usage of
      Users and Private Keys. The Policy Engine analyzes all of your Policies on
      each request to determine whether an Activity is allowed.


      See [Policy Overview](../managing-policies/overview) for more information
  - name: Wallets
    description: >-
      Wallets contain collections of deterministically generated cryptographic
      public / private key pairs that share a common seed. Turnkey securely
      holds the common seed, but only you can access it. In most cases, Wallets
      should be preferred over Private Keys since they can be represented by a
      mnemonic phrase, used across a variety of cryptographic curves, and can
      derive many addresses.


      Derived addresses can be used to create digital signatures using the
      corresponding underlying private key. See [Signing](./api#tag/Signing) for
      more information
  - name: Signing
    description: >-
      Signers allow you to create digital signatures. Signatures are used to
      validate the authenticity and integrity of a digital message. Turnkey
      makes it easy to produce signatures by allowing you to sign with an
      address. If Turnkey doesn't yet support an address format you need, you
      can generate and sign with the public key instead by using the address
      format `ADDRESS_FORMAT_COMPRESSED`.
  - name: Private Keys
    description: >-
      Private Keys are cryptographic public / private key pairs that can be used
      for cryptocurrency needs or more generalized encryption. Turnkey securely
      holds all private key materials for you, but only you can access them.


      The Private Key ID or any derived address can be used to create digital
      signatures. See [Signing](./api#tag/Signing) for more information
  - name: Private Key Tags
    description: >-
      Private Key Tags allow you to easily group and permission Private Keys
      through Policies.
  - name: Users
    description: >-
      Users are responsible for any action taken within an Organization. They
      can have ApiKey or Auuthenticator credentials, allowing you to onboard
      teammates to the Organization, or create API-only Users to run as part of
      your infrastructure.
  - name: User Tags
    description: >-
      User Key Tags allow you to easily group and permission Users through
      Policies.
  - name: Authenticators
    description: >-
      Authenticators are WebAuthN hardware devices, such as a Macbook TouchID or
      Yubikey, that can be used to authenticate requests.
  - name: API Keys
    description: >-
      API Keys are used to authenticate requests


      See our [CLI](https://github.com/tkhq/tkcli) for instructions on
      generating API Keys
  - name: Activities
    description: >-
      Activities encapsulate all the possible actions that can be taken with
      Turnkey. Some examples include adding a new user, creating a private key,
      and signing a transaction.


      Activities that modify your Organization are processed asynchronously. To
      confirm processing is complete and retrieve the Activity results, these
      activities must be polled until that status has been updated to a
      finalized state: `COMPLETED` when the activity is successful or `FAILED`
      when the activity has failed
  - name: Consensus
    description: >-
      Policies can enforce consensus requirements for Activities. For example,
      adding a new user requires two admins to approve the request.


      Activities that have been proposed, but don't yet meet the Consesnsus
      requirements will have the status: `REQUIRES_CONSENSUS`. Activities in
      this state can be approved or rejected using the unique fingerprint
      generated when an Activity is created.
paths:
  /public/v1/query/get_organization_configs:
    post:
      tags:
        - Organizations
      summary: Get Configs
      description: Get quorum settings and features for an organization
      operationId: GetOrganizationConfigs
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetOrganizationConfigsRequest'
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOrganizationConfigsResponse'
components:
  schemas:
    GetOrganizationConfigsRequest:
      required:
        - organizationId
      type: object
      properties:
        organizationId:
          type: string
          description: Unique identifier for a given Organization.
    GetOrganizationConfigsResponse:
      required:
        - configs
      type: object
      properties:
        configs:
          $ref: '#/components/schemas/Config'
    Config:
      type: object
      properties:
        features:
          type: array
          items:
            $ref: '#/components/schemas/Feature'
        quorum:
          $ref: '#/components/schemas/external.data.v1.Quorum'
    Feature:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/FeatureName'
        value:
          type: string
    external.data.v1.Quorum:
      required:
        - threshold
        - userIds
      type: object
      properties:
        threshold:
          type: integer
          description: Count of unique approvals required to meet quorum.
          format: int32
        userIds:
          type: array
          description: Unique identifiers of quorum set members.
          items:
            type: string
    FeatureName:
      type: string
      enum:
        - FEATURE_NAME_ROOT_USER_EMAIL_RECOVERY
        - FEATURE_NAME_WEBAUTHN_ORIGINS
        - FEATURE_NAME_EMAIL_AUTH
        - FEATURE_NAME_EMAIL_RECOVERY
        - FEATURE_NAME_WEBHOOK
        - FEATURE_NAME_SMS_AUTH
        - FEATURE_NAME_OTP_EMAIL_AUTH
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: X-Stamp
      in: header
    AuthenticatorAuth:
      type: apiKey
      name: X-Stamp-WebAuthn
      in: header

````